<template>
	<div :class="$style.snippet">
		<component :is="wrapperComponent.is" v-bind="wrapperComponent.props">
			<AtomReviewStars :rating="reviews.average_rating" :link="link" />
			<span :class="$style.total">{{ reviews.review_count | numberWithCommas }} reviews</span>
		</component>
	</div>
</template>

<script>
import AtomReviewStars from '@components/atom-review-stars';

export default {
	components: {
		AtomReviewStars,
	},

	props: {
		reviews: {
			type: Object,
			default: () => ({}),
		},

		link: {
			type: String,
			default: '',
		},
	},

	computed: {
		wrapperComponent() {
			const { link, $style } = this;
			if (!link) {
				return { is: 'div', props: { class: $style.linkWrapper } };
			} else {
				return {
					is: 'nuxt-link',
					props: {
						to: link,
						class: $style.linkWrapper,
					},
				};
			}
		},
	},
};
</script>

<style lang="scss" module>
@import '@design';

.snippet {
	display: flex;
}

.linkWrapper {
	display: flex;
}

.total {
	margin-left: 0.9rem;
	color: color('primary-200');

	@include use-text-style('type-100');
}
</style>
